@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}
body{
  font-family: 'Poppins', sans-serif;
background: #FFFC00;

}



/* Header */
header{
  background: #111111;
  width: 100%;
  max-width: 1400px;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding:  1em;
}

#barContainer{
  color: #FFFC00;
  font-size: 1.5rem;
  cursor: pointer;
}

.nav{
  list-style-type: none;
  color: #ffffff;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  background-color: #111111;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 0;
  overflow: hidden;
  transition: all .3s ease-in-out;
  z-index: 2;
  
}

.showNav{
  padding: 1em;
  padding-top: 5em;
  width: 70%;
  max-width: 300px;

}

.navLogo{
 margin-bottom: 3rem;
}

.nav-link{
  font-size: 1rem;
  width: 100%;
  font-weight: 500;
padding-bottom: -120px;
  text-transform: uppercase;
  cursor: pointer;
  white-space: nowrap;
  margin-right: 6px;
  padding: 25px 0;
  color: #000;
  font-weight: 500;
  outline: none;
}

.nav-link a{
color: #ffffff;
  text-decoration: none;
}
.nav-link a:hover{
  color: #FFFC00;
  transition: .1s all ease-in;
}





@media screen and (min-width:800px) {
  .nav{
      position: relative;
      width: auto;
      background-color: transparent;
      flex-direction: row;
      justify-content: center;
      align-items: center;
      margin-right: 5%;
  }
  .nav-link{
        margin-right: 2em;
  }
  .navLogo,#barContainer,.sociallinkContainer{
      display: none;
  }
  /* .open-popup-btn {

    transform: translateY(460px);
  } */
}



footer{
  background: #111111;
  margin-top: 5em;
}

.joinSection,.footerlinksContainer{
  width: 90%;
  max-width: 1100px;
  margin: auto;
  padding: 1em;
}

.joinSection{
  display: flex;
  align-items: center;
  padding: 3em 0em;
}

.joinSection .joinDesc{
  width: 80%;
}

.joinSection button{
  height: auto;
}



.footerlinksContainer{
  width: 90%;
  max-width: 1100px;
  margin: auto;
  padding: 1em;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
  justify-content: space-between;
  padding-top: 5em;
  border-top: 1px solid #eee;
}

.footersociallinkContainer{
  margin-top: 1em;
}

.footerAboutus .sociallinkContainer{
  justify-content: flex-start;
}
.cat{
  display: flex;
  flex-direction: column;
  color: #ffffff;
}
.footerlink{
  display: flex;
  flex-direction: column;
  color: #333;
}

.linkTitle{
  font-size: 1.5rem;
  margin-bottom: .5em;
}
.cat a{
  color: #999999;
  margin-bottom: 1em;
  transition: all .5s ease-in-out; 
}
.footerlink a{
  
    color: #999999;
  margin-bottom: 1em;
  transition: all .5s ease-in-out;
}

.footerlink a:hover{
  transform: translateX(10px);
  color: #FFFC00;
}

.footerCopyright{
  background-color: #111111;
  padding: 1em;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 2em;
  border-top: 1px solid rgba(255, 248, 248, 0.1);
}

.footerCopyright p{
  text-align: center;
}

.developedBy{
  font-weight: bold;
  color: #FFFC00;
}

@media screen and (min-width:700px) {
  .footerlinksContainer{
      grid-template-columns: 1fr 1fr 1fr 1fr;

  }

}



.container{
  display: flex;
  justify-content: center;
  align-items: center;
  padding:25px;
  min-height: 100vh;
  background: #FFFC00;
}
.move{
  transform: translateY(50px);
}
.container form{
  padding: 60px;
  width:600px;
  border-radius: 20px;
  background: #fff;
  box-shadow: 0 5px 10px rgba(0,0,0,.1);
}

.container form .row{
  display: flex;
  flex-wrap: wrap;
  gap:15px;
}

.container form .row .col{
  flex:1 1 250px;
}

.container form .row .col .title{
  font-size: 20px;
  color:#333;
  padding-bottom: 5px;
  text-transform: uppercase;
}

.container form .row .col .inputBox{
  margin: 15px 0;
}

.container form .row .col .inputBox span{
  margin-bottom: 10px;
  display: block;
}

.container form .row .col .inputBox input{
  width: 100%;
  border:1px solid #ccc;
  padding:13px 15px;
  font-size: 14px;
  text-transform: none;
}

.container form .row .col .inputBox input:focus{
  border:1px solid #000;
}

.container form .row .col .flex{
  display: flex;
  gap:15px;
}

.container form .row .col .flex .inputBox{
  margin-top: 5px;
}

.container form .row .col .inputBox img{
  height: 49px;
  margin-top: 5px;
  filter: drop-shadow(0 0 1px #000);
}

.container form .submit-btn{
  width: 100%;
  padding:12px;
  font-size: 17px;
  background: #27ae60;
  color:#fff;
  margin-top: 5px;
  cursor: pointer;
}

.container form .submit-btn:hover{
  background: #2ecc71;
}
 .star{
  padding: 10px;
background:  #111111;
  text-decoration: none;
  color: white;
  border-radius: 20px;
}
.star:hover{
  background: #FFFC00;
  border: 1px solid #111111;
  transition: 400ms all ease-in;
  color: #111111;
} 